Subject: bug#77318: 29.3; Emacs eshell password prompt is in clear text

From: Jim Porter <[email-masked]>
Date: Fri, 28 Mar 2025 15:04:22 -0700

On 3/27/2025 10:33 AM, Daniel de Castro Victoria via Bug reports for GNU 
Emacs, the Swiss army knife of text editors wrote:
> While using eshell to issue some git commands I noticed that the 
> password prompt is not masking the characters. My passwords appear as 
> clear text. Bellow is a copy/paste from my eshell terminal (I just 
> masked some info)

The easiest fix would probably be something like this:

   (setq eshell-password-prompt-regexp comint-password-prompt-regexp)

I'm not sure why Eshell and Comint have such different password prompt 
regexps; that was before my time. If there are no objections in the next 
few days, I can make a change like the above on the master branch.